Create Item Variation
curl --request POST \
--url https://api.jtl-cloud.com/erp/v1/items/{itemId}/variations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "<string>",
"Translations": [
{
"LanguageIso": "<string>",
"Name": "<string>"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v1/items/{itemId}/variations"
payload = {
"Name": "<string>",
"Translations": [
{
"LanguageIso": "<string>",
"Name": "<string>"
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({Name: '<string>', Translations: [{LanguageIso: '<string>', Name: '<string>'}]})
};
fetch('https://api.jtl-cloud.com/erp/v1/items/{itemId}/variations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"ItemId": 123,
"Name": "<string>",
"Translations": [
{
"LanguageIso": "<string>",
"Name": "<string>"
}
]
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Create Item Variation
Create a new variation for a specific item
POST
/
v1
/
items
/
{itemId}
/
variations
Create Item Variation
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the item that the supplier belong to.
Body
application/json
The ItemVariation to create.
Response
The created ItemVariation.
Model Class: ItemVariation
Unique ID to identify a variation.
Unique ID to identify an item.
Name of a variation in the default language.
The type of variation.
Available options:
0, 1, 2, 3, 4, 5 Different terms for a variation in the non-default languages.
Show child attributes
Show child attributes
Was this page helpful?
⌘I